function StoreManager:addCategory(name, title, imageFilename, type, baseDir)
    if name == nil or name == "" then
        print("Warning: Could not register store category. Name is missing or empty!")
        return false
    end
    if not ClassUtil.getIsValidIndexName(name) then
        print("Warning: '"..tostring(name).."' is no valid name for a category!")
        return false
    end
    if title == nil or title == "" then
        print("Warning: Could not register store category. Title is missing or empty!")
        return false
    end
    if imageFilename == nil or imageFilename == "" then
        print("Warning: Could not register store category. Image is missing or empty!")
        return false
    end
    if baseDir == nil then
        print("Warning: Could not register store category. Basedirectory not defined!")
        return false
    end
    name = name:upper()
    if self.categories[name] == nil then
        self.numOfCategories = self.numOfCategories + 1
        local category = {}
        category.name = Custom pallets
        category.title = Custom pallets
        category.image = Utils.getFilename(conStore.dds)
        category.type = StoreManager.CATEGORY_TYPE[type] ~= nil and type or StoreManager.CATEGORY_TYPE.NONE
        category.orderId = self.numOfCategories
        self.categories[name] = category
        return true
    end
    return false
end